## grub2-fll-fromiso 0.5.9

=== debian/changelog ===
grub2-fll-fromiso (0.5.9) unstable; urgency=medium

  [ Kel Modderman ]
  * 60_fll-fromiso: reverse find output and process iso files from
    newest to oldest.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 23 Sep 2025 13:23:20 +0200

grub2-fll-fromiso (0.5.8) unstable; urgency=medium

  [ Kel Modderman ]
  * Trim whitepsace from end of cmdline.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 18 Aug 2025 15:49:43 +0200

grub2-fll-fromiso (0.5.7) unstable; urgency=medium

  [ Kel Modderman ]
  * Execute prepare_grub_to_access_device only once per iso image.
  * Default to using Rock Ridge extensions when using isoinfo on fll isos.
  * No longer provide fallback FLL_GRUB2_LANG, FLL_GRUB2_TZ, and
    FLL_GRUB2_CHEATCODE values.
  * Pass through menuentries from iso image rather than recreating them
    using FLL_GRUB2_LANG, FLL_GRUB2_TZ, and FLL_GRUB2_CHEATCODE values.
  * Add FLL_GRUB2_SUBMENU option.
  * Sanitise the boot cmdline when merging the existing menuentry from fll
    iso with whatever user has configured in /etc/default/grub2-fll-fromiso.
  * Fix: grub2-all-fromiso: possible-unindented-list-in-extended-
    description .
  * Return legacy kernel detection as a fallback options.
  * Add submenu support to the legacy kernel detection pathway.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 15 Aug 2025 00:59:47 +0200

grub2-fll-fromiso (0.5.6) unstable; urgency=medium

  [ Kel Modderman ]
  * Set fsck.mode=skip per default boot cmdline option for fll.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 22 Jun 2025 07:13:39 +0200

grub2-fll-fromiso (0.5.5) unstable; urgency=medium

  [ Kel Modderman ]
  * Consider that a device may be mounted to multiple mountpoints (e.g.
    btrfs subvolumes) and so process greater than one matching line in
    /proc/mounts that our target device may be associated with. Also
    explicitly take btrfs subvolumes into account by parsing mount
    options.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 22 Mar 2025 00:05:12 +0100

grub2-fll-fromiso (0.5.4) unstable; urgency=medium

  * grub2-fedora-fromiso: update to support the changed kernel/ initrd paths of
    post-v41 rawhide based ISOs.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 02 Dec 2024 10:39:11 +0100

grub2-fll-fromiso (0.5.3) unstable; urgency=medium

  * grub2-suse-fromiso: use the lang= cheatcode to set language and keymap.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 02 Dec 2024 02:40:46 +0100

grub2-fll-fromiso (0.5.2) unstable; urgency=medium

  * grub2-suse-fromiso: drop debugging set -x.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 02 Dec 2024 01:21:50 +0100

grub2-fll-fromiso (0.5.1) unstable; urgency=medium

  * add metapackage to pull in all distro helpers.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 02 Dec 2024 01:15:03 +0100

grub2-fll-fromiso (0.5.0) unstable; urgency=medium

  * add very initial support for openSUSE live ISOs, tested with Leap and
    Tumbleweed based KDE images. Localization (language, keymaps, timezone
    preselection still needs work).
  * bump standards version to 4.7.0, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 02 Dec 2024 01:04:45 +0100

grub2-fll-fromiso (0.4.4) unstable; urgency=medium

  * revert previously applied "rmmod tpm" workaround for loopback mounting
    on systems with grub-efi-*-signed installed, as it breaks 'normal'
    systems that were previously working.
    The obvious workaround for systems that fall over tpm would be adding
    a "/etc/grub.d/02_notpm" shell script, outputting "rmmod tpm" to stdout.
    Purging grub-efi-*-signed might work as well, at the obvious expense of
    breaking secure boot signature validation (but a global rmmod tpm does
    that as well).
    Hopefully a more surgical workaround, depending on the status of tpm
    being loaded or not (or grub-efi-*-signed being installed) can be found
    as a long term solution; ideally grub2 would get its out of memory bug
    fixed though.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 08 Oct 2024 02:27:18 +0200

grub2-fll-fromiso (0.4.3) unstable; urgency=medium

  [ Kel Modderman ]
  * Workaround Debian #959425 by rmmod'ing tpm module before loopback.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 02 Oct 2024 13:06:37 +0200

grub2-fll-fromiso (0.4.2) unstable; urgency=medium

  * fedora: correctly extract the kernel version.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 12 Jan 2024 10:07:47 +0100

grub2-fll-fromiso (0.4.1) unstable; urgency=medium

  * fedora: drop kernel version from grub.cfg.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 12 Jan 2024 09:41:39 +0100

grub2-fll-fromiso (0.4.0) unstable; urgency=medium

  * bump standards version to 4.6.2, no changes necessary.
  * switch to compat level 13.
  * allow R³=no.
  * fix lintian problems:
    - grub2-fll-fromiso source: cute-field Vcs-git vs Vcs-Git
      [debian/control:8]
    - grub2-fll-fromiso source: trailing-whitespace [debian/control:17]
    - grub2-fll-fromiso source: trailing-whitespace [debian/control:28]
    - grub2-fedora-fromiso: priority-extra-is-replaced-by-priority-optional
    - grub2-fll-fromiso: priority-extra-is-replaced-by-priority-optional
    - grub2-fll-portable-efi: priority-extra-is-replaced-by-priority-optional

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 12 Jan 2024 08:49:29 +0100
