=== debian/control ===
Source: grub2-fll-fromiso
Section: admin
Priority: optional
Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.7.0
Vcs-Git: https://github.com/fullstory/grub2-fll-fromiso.git
Vcs-Browser: https://github.com/fullstory/grub2-fll-fromiso

Package: grub2-all-fromiso
Architecture: all
Depends: ${misc:Depends},
 grub2-fll-fromiso,
 grub2-fedora-fromiso,
 grub2-suse-fromiso
Description: update-grub (grub2) metapackage for all supported fromiso helpers
 Automatically adds and updates fromiso snippets for grub.cfg of the
 GRand Unified Bootloader, version 2.
 .
 Supported live ISOs:
   - aptosid/ fullstory
   - Fedora
   - OpenSUSE (Leap, Tumbleweed)

Package: grub2-fll-fromiso
Architecture: all
Depends: ${misc:Depends},
 genisoimage,
 grub-pc | grub-efi-amd64 | grub-efi-ia32
Description: update-grub (grub2) plugin for fullstory fromiso
 Automatically adds and updates fullstory fromiso snippets for grub.cfg of the
 GRand Unified Bootloader, version 2.
 .
 Please configure /etc/default/grub2-fll-fromiso

Package: grub2-fedora-fromiso
Architecture: all
Depends: ${misc:Depends},
 genisoimage,
 grub-pc | grub-efi-amd64 | grub-efi-ia32
Description: update-grub (grub2) plugin for Fedora fromiso
 Automatically adds and updates Fedora fromiso snippets for grub.cfg of the
 GRand Unified Bootloader, version 2.
 .
 Please configure /etc/default/grub2-fedora-fromiso

Package: grub2-suse-fromiso
Architecture: all
Depends: ${misc:Depends},
 genisoimage,
 grub-pc | grub-efi-amd64 | grub-efi-ia32
Description: update-grub (grub2) plugin for openSUSE fromiso
 Automatically adds and updates openSUSE fromiso snippets for grub.cfg of the
 GRand Unified Bootloader, version 2.
 .
 Please configure /etc/default/grub2-suse-fromiso

Package: grub2-fll-portable-efi
Architecture: all
Depends: ${misc:Depends},
 grub-efi-amd64-bin | grub-efi-ia32-bin
Description: update-grub (grub2) plugin to create portable efi
 Adds an /etc/grub.d snippet to generate portable .efi bootladers from the
 GRand Unified Bootloader, version 2.
 .
 Please configure /etc/default/grub2-fll-portable-efi
