## grub2-fll-fromiso 0.5.11

=== debian/changelog ===
grub2-fll-fromiso (0.5.11) unstable; urgency=medium

  [ Kel Modderman ]
  * The persist_uuid cheatcode is incompatible by design with fromiso, make
    sure it is removed from the fromiso boot params.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 17 Dec 2025 05:03:46 +0100

grub2-fll-fromiso (0.5.10) unstable; urgency=medium

  [ Kel Modderman ]
  * Do not set boot=fll explicitly, rather inherit the boot param from iso.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 16 Dec 2025 22:17:58 +0100
